import { AxiosRequestConfig, AxiosResponse } from '../types';
declare class AxiosError extends Error {
    isAxiosError: boolean;
    config: AxiosRequestConfig;
    code?: string | null;
    request?: any;
    response?: AxiosResponse;
    constructor(message: string, config: AxiosRequestConfig, code?: string | null, request?: any, response?: AxiosResponse);
}
declare function createError(message: string, config: AxiosRequestConfig, code?: string | null, request?: any, response?: AxiosResponse): AxiosError;
export { AxiosError, createError };
