import { CancelExecutor, CancelTokenSource } from '../types';
import Cancel from './Cancel';
export default class CancelToken {
    promise: Promise<Cancel>;
    reason?: Cancel;
    constructor(executor: CancelExecutor);
    throwIfRequested(): void;
    /**
     * @description: CancelToken工厂方法
     * @param {*}
     * @return {*}
     */
    static source(): CancelTokenSource;
}
