import { AxiosRequestConfig, AxiosPromise } from '../types';
/**
 * @description:
 * @param {AxiosRequestConfig} config
 * @return {*}
 */
export default function dispatchRequest(config: AxiosRequestConfig): AxiosPromise;
/**
 * @description: 根据用户配置的baseURL，url，params和paramsSerializer得到完整的请求url
 * @param {AxiosRequestConfig} config
 * @return {*}
 */
declare function transformUrl(config: AxiosRequestConfig): string;
export { transformUrl };
