/**
 * @description: xhr不支持传递对象作为data数据，对象需要转成JSon字符串
 * @param {any} data
 * @return {*}
 */
declare function transformRequest(data: any): any;
/**
 * @description: 如果返回response中的data是Json字符串，即使用户没有设置responseType为json
 * 也将其转换成Json对象方便操作
 * @param {any} data
 * @return {*}
 */
declare function transformResponse(data: any): any;
export { transformRequest, transformResponse };
