/**
 * @description: 拼接得到get请求的url
 * @param {string} url
 * @param {any} params
 * @return {*}
 */
declare function getUrlWithParams(url: string, params?: any, paramsSerializer?: (params: any) => string): string;
declare function isURLSameOrigin(url: string): boolean;
declare function isAbsoluteURL(url: string): boolean;
declare function combineURL(baseURL: string, relativeURL: string): string;
export { getUrlWithParams, isURLSameOrigin, isAbsoluteURL, combineURL };
